iconv(1)

NOM
iconv - Convertir l'encodage de fichiers d'un encodage vers un autre

SYNOPSIS
iconv [options] [-f from-encoding] [-t to-encoding] [inputfile ...]

DESCRIPTION
Le programme iconv lit un texte dans un encodage et l'affiche dans un autre encodage. Si aucun fichier d'entrée n'est donné ou si vous ne donnez qu'un tiret (-), iconv lit l'entrée standard. Si aucun fichier de sortie n'est donné, iconv écrit sur la sortie standard.

Si aucun encodage-source n'est donné, celui par défaut est celui de l'encodage de vos paramètres régionaux. Si aucun encodage-cible n'est donné, celui par défaut est celui de l'encodage de vos paramètres régionaux.

OPTIONS

--from-code=encodage-source
-f from-encoding
    Utiliser encodage-source pour les caractères en entrée.

--to-code=encodage-cible
-t to-encoding
    Utiliser encodage-cible pour les caractères en sortie.

    Lorsque la chaîne « //IGNORE » est ajoutée à encodage-cible, les caractères qui ne peuvent pas être représentés dans l'encodage cible seront supprimés et un message d'erreur s'affiche après la conversion. Les caractères qui ne peuvent pas être décodés sont traités comme une erreur avec ou sans cet indicateur.

    Lorsque la chaîne « //TRANSLIT » est ajoutée à encodage-cible, la translitération est activée. Cela signifie que lorsqu'un caractère ne peut pas être représenté dans le jeu de caractères cible, il pourra être approximé par un ou plusieurs caractères de forme similaire. Les caractères qui sont en-dehors du jeu de caractères cible et pour lesquels la translitération n'est pas possible sont remplacés par un point d'interrogation (?) dans l'affichage.

--list
-l
    Afficher la liste des jeux de caractères reconnus.

-c  Supprimer silencieusement les caractères qui ne peuvent pas être convertis au lieu de se terminer quand on rencontre de tels caractères. POSIX exige que option ne modifie pas le code de retour du programme.

--output=fichier_sortie
-o outputfile
    Utiliser fichier_sortie pour la sortie.

--silent
-s
    Cette option est ignorée ; elle n'est fournie qu'à des fins de compatibilité.

--verbose
    Afficher les informations de progression sur la sortie d'erreur standard lors du traitement de plusieurs fichiers.

--help
-?
    Afficher un résumé de l'utilisation et quitter.

--usage
    Afficher une brève description sur l'utilisation et quitter.

--version
-V
    Afficher le numéro de version, la licence et l’exonération de garantie pour iconv.

CODE DE RETOUR
Zéro en cas de succès, autre en cas d’erreur.

ENVIRONNEMENT
En interne, le programme iconv utilise la fonction iconv(3) qui utilise elle-même les modules de gconv (bibliothèques partagées chargées dynamiquement) pour convertir entre des jeux de caractères. Avant d'appeler iconv(3), le programme iconv doit d'abord allouer un descripteur de conversion en utilisant iconv_open(3). L'action de cette dernière fonction est influencée par le réglage de la variable d'environnement GCONV_PATH :

-   Si GCONV_PATH n'est pas positionnée, iconv_open(3) charge le fichier de cache de configuration du module gconv du système créé par iconvconfig(8), puis à partir de la configuration, il charge les modules gconv nécessaires à la conversion. Si le fichier de cache de configuration du module gconv du système n'est pas disponible, le fichier de configuration du module gconv du système est utilisé.

-   Si GCONV_PATH est définie (sous la forme d'une liste de chemins séparée par des deux-points), le cache de configuration du module gconf du système n'est pas utilisé. iconv_open(3) essaie d'abord, dans ce cas, de charger les fichiers de configuration en recherchant dans les répertoires de GCONV_PATH dans l'ordre, puis le fichier de configuration du module gconv par défaut du système. Si un répertoire ne contient pas de fichier de configuration pour le module gconv, les modules gconv qu'il contient sont ignorés. Si un répertoire contient un fichier de configuration pour le module gconv et s'il s'avère que le module nécessaire à une conversion est disponible dans le répertoire, le module nécessaire est chargé à partir de ce répertoire, c'est dans l'ordre le premier module adéquat trouvé à partir de GCONV_PATH qui est utilisé. Cela permet aux utilisateurs d'utiliser des modules personnalisés et même de remplacer ceux fournis par le système en indiquant les modules dans des répertoires de GCONV_PATH.

FICHIERS

/usr/lib/gconv
    Chemin par défaut habituel des modules gconv.

/usr/lib/gconv/gconv-modules
    Fichier de configuration par défaut habituel du système des modules gconv.

/usr/lib/gconv/gconv-modules.cache
    Cache de configuration par défaut habituel du système des modules gconv.

Selon l'architecture les fichiers ci-dessus peuvent se situer plutôt dans les répertoires dont le chemin est préfixé par /usr/lib64.

NORMES
POSIX.1-2008.

HISTORIQUE
POSIX.1-2001.

EXEMPLES
Convert text from the ISO/IEC 8859-15 character encoding to UTF-8:

    $ iconv -f ISO-8859-15 -t UTF-8 < entrée.txt > sortie.txt;

L'exemple suivant convertit de l'UTF-8 en ASCII en translitérant lorsque cela est possible :

    $ echo abc ß α € àḃç | iconv -f UTF-8 -t ASCII//TRANSLIT;
    abc ss ? EUR abc

VOIR AUSSI
locale(1), uconv(1), iconv(3), nl_langinfo(3), charsets(7), iconvconfig(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org>, Thomas Blein <tblein@tblein.eu> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.